<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_OptionalFares StructType
 * @subpackage Structs
 */
class JP_OptionalFares extends AbstractStructBase
{
    /**
     * The FareGroupPrices
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_FareGroupPrice
     */
    public $FareGroupPrices;
    /**
     * The FareGroups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_FareGroup
     */
    public $FareGroups;
    /**
     * Constructor method for JP_OptionalFares
     * @uses JP_OptionalFares::setFareGroupPrices()
     * @uses JP_OptionalFares::setFareGroups()
     * @param \ArrayType\ArrayOfJP_FareGroupPrice $fareGroupPrices
     * @param \ArrayType\ArrayOfJP_FareGroup $fareGroups
     */
    public function __construct(\ArrayType\ArrayOfJP_FareGroupPrice $fareGroupPrices = null, \ArrayType\ArrayOfJP_FareGroup $fareGroups = null)
    {
        $this
            ->setFareGroupPrices($fareGroupPrices)
            ->setFareGroups($fareGroups);
    }
    /**
     * Get FareGroupPrices value
     * @return \ArrayType\ArrayOfJP_FareGroupPrice|null
     */
    public function getFareGroupPrices()
    {
        return $this->FareGroupPrices;
    }
    /**
     * Set FareGroupPrices value
     * @param \ArrayType\ArrayOfJP_FareGroupPrice $fareGroupPrices
     * @return \StructType\JP_OptionalFares
     */
    public function setFareGroupPrices(\ArrayType\ArrayOfJP_FareGroupPrice $fareGroupPrices = null)
    {
        $this->FareGroupPrices = $fareGroupPrices;
        return $this;
    }
    /**
     * Get FareGroups value
     * @return \ArrayType\ArrayOfJP_FareGroup|null
     */
    public function getFareGroups()
    {
        return $this->FareGroups;
    }
    /**
     * Set FareGroups value
     * @param \ArrayType\ArrayOfJP_FareGroup $fareGroups
     * @return \StructType\JP_OptionalFares
     */
    public function setFareGroups(\ArrayType\ArrayOfJP_FareGroup $fareGroups = null)
    {
        $this->FareGroups = $fareGroups;
        return $this;
    }
}
